Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 223873 - Review Request: ecj - Eclipse Compiler for the Java programming language
Summary: Review Request: ecj - Eclipse Compiler for the Java programming language
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-22 20:48 UTC by Andrew Overholt
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-23 19:32:08 UTC


Attachments (Terms of Use)

Description Andrew Overholt 2007-01-22 20:48:19 UTC
Spec URL: http://overholt.ca/eclipse/ecj.spec
SRPM URL: http://overholt.ca/eclipse/ecj-3.2.1-1.fc7.src.rpm
Description: ECJ is the Java bytecode compiler of the Eclipse Platform.  It is also known as the JDT Core batch compiler.

This package is somewhat a duplicate of the existing eclipse-ecj package (a sub-package of the eclipse SRPM).  Due to developments in gcc, the gcc SRPM will soon need to BuildRequires:  eclipse-ecj.  This large dependency (and build loop) is undesirable so this separate ecj package was created.  eclipse-ecj will cease to exist when this package is included.

This package cannot go into Extras due to the gcc requirement on it.

Comment 1 Andrew Overholt 2007-01-23 19:32:08 UTC
After thinking about this some more and discussing with Ben Konrath and Tom
Fitzsimmons, I've decided to close this request.  We couldn't come up with any
actual benefits to having the separate ecj package.  This SRPM can be used by
those wanting quick turnaround on ecj changes, although these are not very likely.


Note You need to log in before you can comment on or make changes to this bug.